A=imread('puntos.bmp');
subplot(2,2,1);
imshow(A,[]);

B=double(A)*0;
C=B;
[L,NUM]=bwlabel(A);
NUM
subplot(2,2,2);
imshow(L,[]);disp('presione una tecla..');pause;
[nf nc]=size(L);
for i=1:NUM
   %A3=(L==i);
   A3=zeros(nf,nc);
   for f=1:nf
      for c=1:nc
         if L(f,c)==i
            A3(f,c)=1;
         end;
      end;
   end;
   area=sum(sum(A3));
   
   [fil col]=find(A3);
   df=max(fil)-min(fil);
   dc=max(col)-min(col);
   ratio=df/dc;
   cF=round(min(fil)+df/2);
   cC=round(min(col)+dc/2);   
   if area>400 &ratio>0.8 & ratio<1.2
      B=B+A3;
   else
      C=C+A3;
   end;   
   subplot(2,2,2);
   imshow(A3,[]);
   pause;
end;

subplot(2,2,3);
imshow(B,[]);

subplot(2,2,4);
imshow(C,[]);





